html,
body{
    margin: 0;
    padding: 0;
}

body{
    font-family: 'Quicksand', sans-serif;
    color: #222;
}

h1,
h2,
h3{
    color: #222;
}

a,
a:hover{
    outline: 0;
    text-decoration: none;
    color: #3A71A8;
    font-size: 13px;
}

.hidden{
    display: none;
}

.display-block{
    display: block;
}

.display-inline-block{
    display: inline-block;
}

.color-charcoal{
    color: #324157;
}
.color-blue{
    color: #3A71A8;
}
.color-red{
    color: #C03639;
}
.color-pink{
    color: #E65D6E;
}
.color-green{
    color: #30B08F;
}
.color-cyan{
    color: #4AB7BD;
}
.color-yellow{
    color: #FEC171;
}
.color-white{
    color: #FFF;
}

.bg-charcoal{
    background: #324157;
}
.bg-blue{
    background: #3A71A8;
}
.bg-red{
    background: #C03639;
}
.bg-pink{
    background: #E65D6E;
}
.bg-green{
    background: #30B08F;
}
.bg-cyan{
    background: #4AB7BD;
}
.bg-yellow{
    background: #FEC171;
}

.font-bold{
    font-weight: bold!important;;
}

.text-align-left{
    text-align: left!important;;
}

.text-align-center{
    text-align: center!important;;
}

.text-align-right{
    text-align: right!important;;
}

.text-normal{
    text-transform: none!important;;
}

.text-normal{
    text-transform: normal!important;;
}

.text-capitalize{
    text-transform: capitalize!important;;
}

.text-lowercase{
    text-transform: lowercase!important;;
}

.text-uppercase{
    text-transform: uppercase!important;;
}

.padding-small{
    padding: 16px!important;;
}

.padding-small-top{
    padding-top: 16px!important;
}

.padding-small-right{
    padding-right: 16px!important;
}

.padding-small-bottom{
    padding-bottom: 16px!important;
}

.padding-small-left{
    padding-left: 16px!important;
}

.padding-medium{
    padding: 32px!important;;
}

.padding-medium-top{
    padding-top: 32px!important;
}

.padding-medium-right{
    padding-right: 32px!important;
}

.padding-medium-bottom{
    padding-bottom: 32px!important;
}

.padding-medium-left{
    padding-left: 32px!important;
}

.margin-small{
    margin: 16px!important;;
}

.margin-small-top{
    margin-top: 16px!important;
}

.margin-small-right{
    margin-right: 16px!important;
}

.margin-small-bottom{
    margin-bottom: 16px!important;
}

.margin-small-left{
    margin-left: 16px!important;
}

.rounded{
    border-radius: 4px;
}

.shadow{
    box-shadow: 0 0 10px rgba(221,221,221,0.5);
}

.border{
    border: 1px solid rgba(204,204,204,0.5);
}

.letter-spacing{
    letter-spacing: 1em;
}

[data-initial] {
    display: block;
    line-height: 50px;
    margin-top: -5px;
}

[data-initial]:before{
    content: attr(data-initial);
    display: inline-block;
    text-align: center;
    border-radius: 50%;
    background: #81c5f1;
    vertical-align: middle;
    margin-right: 0;
    color: #fff;
    width: 24px;
    height: 24px;
    line-height: 24px;
    font-size: 11px;
}


/***
 * Form
 */

input[type="text"],
input[type="email"],
input[type="password"],
textarea{
    -webkit-appearance: none;
    background-color: #fff;
    background-image: none;
    border-radius: 4px;
    border: 1px solid #dcdfe6;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    color: #606266;
    display: inline-block;
    font-size: inherit;
    height: 40px;
    line-height: 40px;
    outline: 0;
    padding: 0 15px;
    -webkit-transition: border-color .2s cubic-bezier(.645,.045,.355,1);
    transition: border-color .2s cubic-bezier(.645,.045,.355,1);
    width: 100%;
}

button{
    border: none;
    text-transform: uppercase;
    padding: 10px;
    display: block;
    width: 100%;
    outline:0;
}

.form-input-wrapper{
    display: block;
    margin: 16px 0;
}

.form-field-with-icon,
.form-field-with-suffix{
    position: relative;
}

.form-field-with-icon input{
    padding-left: 30px; 
}

.form-field-with-icon i{
    position: absolute;
    font-size: 24px;
    top: 7px;
    left: 7px;
}

.form-field-with-suffix .suffix{
    position: absolute;
    top: 10px;
    right: 10px;
}

/***
 * Auth
 */
html,
body,
.auth-container,
.auth-wrapper{
    height: 100%;
}
.auth-wrapper{
    text-align: center;
    position: relative;
}

.auth-box{
    max-width: 280px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%)
}

/***
 * Sidebar
 */
.sidebar{
    transition: width .28s;
    width: 210px!important;
    height: 100%;
    position: fixed;
    font-size: 0;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 1001;
    overflow: hidden;
    border-right: 1px solid #d8dce5;
    background: #eee;
}

.sidebar .sidebar-logo{
    padding: 20px;
}

.sidebar .sidebar-logo img{
    width: 100%;
}

.sidebar .sidebar-menu ul{
    list-style: none;
    padding: 0;
}

.sidebar .sidebar-menu ul li{
    height: 50px;
    line-height: 50px;
    text-align: left;    
}

.sidebar .sidebar-menu ul li:hover,
.sidebar .sidebar-menu ul li.sidebar-menu-active{
    background: #ddd;
}

.sidebar .sidebar-menu ul li a{
    font-size: 16px;
    color: #222;
    font-family: 'Quicksand';
    font-weight: 300;
    height: 50px;
    line-height: 50px;
    text-align: left; 
    display: block;
    padding: 0 20px;
}

.sidebar .sidebar-menu > ul > li a i{
    margin-right: 10px;
    color: #324157;
}

/***
 * Main Container
 */
.main-container{
    min-height: 100%;
    transition: margin-left .28s;
    margin-left: 210px;
    position: relative;
}

.navbar{
    height: 50px;
    overflow: hidden;
    background-color: #fff;
    color: #333;
    line-height: 50px;
    position: relative;
    border-bottom: 1px solid #eee;
    text-align: left;
}

.navbar .hamburger{
    line-height: 50px;
    height: 100%;
    float: left;
    cursor: pointer;
    transition: background .3s;
    width: 45px;
    text-align: center;
    color: #818e94;
}

.navbar .breadcrumb{
    float: left;
    display: inline-block;
    font-size: 14px;
    line-height: 50px;
    margin-left: 8px;
}

.navbar .navbar-right{
    float: right;
    height: 100%;
    line-height: 50px;
    background: transparent;
    padding: 0;
    margin: 0;
    
}

.navbar .navbar-right li{
    margin: 0;
    float: left;
    list-style: none;
    position: relative;
    cursor: pointer;
    padding: 0 20px;
    border-left: 1px solid #eee;
}

.navbar .navbar-right li a{
    font-size: 18px;
}

.histories{
    padding: 0 16px;
    height: 50px;
    background: #fff;
    border-bottom: 1px solid #d8dce5;
    box-shadow: 0 1px 3px 0 rgba(0,0,0,.12), 0 0 3px 0 rgba(0,0,0,.04);
}

.histories ul{
    list-style: none;
    padding: 0;
    margin:0;
}

.histories ul li{
    display: inline-block;
    margin-right: 5px;
    height: 50px;
    line-height: 50px;
}

.histories ul li a{
    height: 50px;
    line-height: 50px;
    border: 1px solid #ddd;
    padding: 5px 10px;
}

.histories ul li a.current-history{
    background-color: #3bc739;
    color: #fff;
    border-color: #3bc739;
}

.histories ul li a.current-history:before{
    content: "";
    background: #fff;
    display: inline-block;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    position: relative;
    margin-right: 2px;
}

/***
 * Pusri Alert
 */
.pusrialert-backdrop{
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.25);
}

.pusrialert{
    min-width: 300px;
    position: fixed;
    top: 50%;
    left: 50%;
    background: #fff;
    transform: translate(-50%, -50%);
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(204,204,204,0.5);
}

.pusrialert-header,
.pusrialert-message{
    padding: 10px 15px;
}

.pusrialert-footer{
    text-align: right;
    margin: 20px;
}

.pusrialert-footer button{
    display: inline-block;
    width: auto;
    border-radius: 4px;

}